import QtQuick 1.1
import Widgets 0.1

Item {
    id: sidebarHandle

    Rectangle {
        anchors.fill: parent
        color: "black"
        opacity: 0.5
    }

    Row {
        x: units.dp(7)
        spacing: units.dp(3)
        anchors.top: parent.top
        anchors.topMargin: units.dp(6)
        height: sidebarHandle.height / 2 - 2* anchors.topMargin
        Repeater {
            model: 5
            delegate:
                Rectangle {
                    width: 1
                    color: "white"
                    opacity: 0.15
                    height: parent.height
                }
        }
    }

    Row {
        x: units.dp(7)
        spacing: units.dp(3)
        anchors.bottom: parent.bottom
        anchors.bottomMargin: units.dp(6)
        height: sidebarHandle.height / 2 - 2* anchors.bottomMargin
        Repeater {
            model: 5
            delegate:
                Rectangle {
                    width: 1
                    color: "white"
                    opacity: 0.15
                    height: parent.height
                }
        }
    }

    Rectangle {
        width: 1
        color: "white"
        opacity: 0.4
        anchors.verticalCenter: parent.verticalCenter
        height: parent.height
        anchors.right: parent.right
    }
}
