import QtQuick 1.0
import Widgets 0.1

Flickable {
    id: dashContentPage
    contentWidth: dashImage.width
    contentHeight: dashImage.height
    width: ListView.view ? ListView.view.width : shell.width
    height: units.dp(854/1.5) - units.dp(22)
    //clip: true
    flickableDirection: Flickable.VerticalFlick
    ImageMipmap {
        id: dashImage
        resource: shell.tablet ? "graphics/tablet/videos.png" : "graphics/phone/videos.png"
        clip: true
        y: -units.dp(22)
    }
}
