import QtQuick 1.1
import Widgets 0.1
import "../"

Showable {
    ImageMipmap {
        anchors.fill: parent
        resource: "launcher.png"
        smooth: true
    }

    MouseArea {
        id: mousearea1
        anchors.fill: parent
        onClicked: {
            shell.activateDash()
        }
    }

    MouseArea {
        id: cameraTile

        y: units.dp(160)
        height: units.dp(139/1.5)
        anchors {
            right: parent.right
            left: parent.left
        }

        onClicked: shell.activateApplication("Camera")
    }
}
