import QtQuick 1.1
import Widgets 0.1
import "../"

Showable {
    id: onScreenKeyboard

    height: image.height

    ImageMipmap {
        id: image

        anchors.left: parent.left
        anchors.right: parent.right
        resource: "onScreenKeyboard.png"
        smooth: true
    }

    MouseArea {
        anchors.fill: parent
        onClicked: onScreenKeyboard.hide()
    }
}
