import QtQuick 1.1
import Widgets 0.1
import "../"
import "../Applications"

Applications {
    id: sideStageApplications

    property bool handleVisible: true

    clip: true

    SidestageHandle {
        id: handle
        anchors {
            top: parent.top
            bottom: parent.bottom
            left: parent.left
        }
        width: units.dp(32)
        opacity: sideStageApplications.handleVisible ? 1 : 0
        Behavior on opacity { NumberAnimation { duration: 70 } }
    }
}
